<!-- Template for the auth route -->
{% extends 'base.html' %}
{% block content %}
<div class="row">
  <div class="m-3 p-3 bg-body rounded">
    <h6 class="border-bottom pb-2 mb-0">Recent updates for @{{ username }}</h6>
    {% if tags %}
    <h8 class="pt-2 mt-2">Tags</h8>
    {% for tag in tags: %}
    <div class="text-body-secondary pt-3 border-bottom">
      <div class="row">
        <div class="col-2">
          <p class="pb-3 mb-0 small lh-sm">
            <strong class="d-block text-gray-dark">#{{ tag.tag }}</strong>
          </p>
        </div>
        <div class="col-8">
          <p class="pb-3 mb-0 small lh-sm">
            <a href="{{ url_for('routers.router', fingerprint=tag.fingerprint) }}">{{ tag.fingerprint }}</a>
          </p>
        </div>
      </div>
      <div class="row pb-2">
        <div class="col">
          <p class="pb-3 mb-0 small lh-sm">
            Published: {{ tag.published }}
          </p>
        </div>
        {% if tag.status=='deleted' %}
        <div class="col">
          <p class="pb-3 mb-0 small lh-sm">
            Deleted on {{ tag.edited }}
          </p>
        </div>
        {% endif %}
        {% if tag.status=='deleted' %}
        <div class="col-2">
          <form method="post" action="{{ url_for('routers.restore_tag', fingerprint=tag.fingerprint, tag=tag.tag) }}">
            <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-rotate-left"></i></button>
          </form>
        </div>
        {% else %}
        <div class="col-2">
          <form method="post" action="{{ url_for('routers.delete_tag', fingerprint=tag.fingerprint, tag=tag.tag) }}">
            <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-trash-can"></i></button>
          </form>
        </div>
        {% endif %}
      </div>
    </div>
    {% endfor %}
    {% endif %}
    {% if notes %}
    <h8 class="pt-2 mt-2">Notes</h8>
    {% for note in notes: %}
    <div class="text-body-secondary pt-3 border-bottom">
      <div class="row">
        <div class="col-4">
          <p class="pb-3 mb-0 small lh-sm">
            <strong class="d-block text-gray-dark">@{{ note.username }}</strong>
          </p>
        </div>
        <div class="col-8">
          <p class="pb-3 mb-0 small lh-sm">
            <a href="{{ url_for('routers.router', fingerprint=note.fingerprint) }}">{{ note.fingerprint }}</a>
          </p>
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <p class="pb-3 mb-0 small lh-sm">
            <strong class="d-block text-gray-dark">{{ note.note }}</strong>
          </p>
        </div>
      </div>
      <div class="row pb-2">
        <div class="col-8">
          <p class="pb-3 mb-0 small lh-sm">
            Published: {{ note.published }}
          </p>
        </div>
        <div class="col-2">
          <a href="{{ url_for('routers.edit_note', fingerprint=note.fingerprint, note_id=note.node_id) }}"
            class="btn btn-secondary">
            <i class="fa-solid fa-pen-to-square"></i>
          </a>
        </div>
        {% if not note.status=="deleted" %}
        <div class="col-2">
          <form method="post"
            action="{{ url_for('routers.delete_note', fingerprint=note.fingerprint, note_id=note.note_id) }}">
            <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-trash-can"></i></button>
          </form>
        </div>
        {% else %}
        <div class="col-2">
          <form method="post"
            action="{{ url_for('routers.restore_note', fingerprint=note.fingerprint, note_id=note.note_id) }}">
            <button type="submit" class="btn btn-secondary"><i class="fa-solid fa-rotate-left"></i></button>
          </form>
        </div>
        {% endif %}
      </div>
    </div>
    {% endfor %}
    {% endif %}
  </div>
</div>
{% endblock %}